package com.example.demo;

import java.time.LocalDateTime;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class PierwszyController {
	
	@RequestMapping("/")
	@ResponseBody
	public String index() {
		return "Aplikacja springowa";
	}
	
	@RequestMapping("/hello")
	@ResponseBody
	public String hello() {
		return "Hello world";
	}
	
	// Dodaj metodę wyświetlającą bieżący czas
	@RequestMapping("/czas")
	@ResponseBody
	public LocalDateTime czas() {
		return LocalDateTime.now();
	}

}
